# Use the official Python image as the base image
FROM python:3.11-slim-buster

# Set the working directory in the container
WORKDIR /app

# Copy the requirements.txt file to the working directory
COPY requirements.txt .

# Install the required packages
RUN pip install --no-cache-dir -r requirements.txt

# Copy the app files to the working directory
COPY images/* ./images/
COPY logos/* ./logos/
COPY donnees/* ./donnees/
COPY app.py ./

# Expose the port that the app will run on
EXPOSE 8501

# Set the command to run the app when the container starts
CMD ["streamlit", "run", "app.py", "--server.port", "8501"]
